## GPL_HWB1_3.01.tar.gz

=== Makefile ===
# ebtables Makefile

PROGNAME:=ebtables
PROGVERSION:=2.0.3
PROGDATE:=April\ 2003

MANDIR?=/usr/local/man
CFLAGS:=-Wall -Wunused
CC:=gcc

include extensions/Makefile

OBJECTS:=getethertype.o ebtables.o communication.o $(EXT_OBJS)

KERNEL_INCLUDES?=include/

ETHERTYPESPATH?=/etc/
ETHERTYPESFILE:=$(ETHERTYPESPATH)/ethertypes

BINPATH?=/sbin/
BINFILE:=$(BINPATH)ebtables

PROGSPECS:=-DPROGVERSION=\"$(PROGVERSION)\" \
	-DPROGNAME=\"$(PROGNAME)\" \
	-DPROGDATE=\"$(PROGDATE)\" \
	-D_PATH_ETHERTYPES=\"$(ETHERTYPESFILE)\"


all: ebtables

communication.o: communication.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

getethertype.o: getethertype.c include/ethernetdb.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -Iinclude/

ebtables.o: ebtables.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

ebtables: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ -I$(KERNEL_INCLUDES)

$(MANDIR)/man8/ebtables.8: ebtables.8
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

$(ETHERTYPESFILE): ethertypes
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

.PHONY: exec
exec: ebtables
	install -m 0755 -o root -g root $< $(BINFILE)

.PHONY: install
install: $(MANDIR)/man8/ebtables.8 $(ETHERTYPESFILE) exec

.PHONY: clean
clean:
	rm -f ebtables
	rm -f *.o *.c~
	rm -f extensions/*.o extensions/*.c~

DIR:=$(PROGNAME)-v$(PROGVERSION)
# This is used to make a new userspace release
.PHONY: release
release:
	mkdir -p include/linux/netfilter_bridge
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge.h include/linux/
# To keep possible compile error complaints about undefined ETH_P_8021Q
# off my back
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/if_ether.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge/*.h \
		include/linux/netfilter_bridge/
	make clean
	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz

=== extensions/Makefile ===
#! /usr/bin/make

EXT_FUNC+=nat arp ip standard log redirect vlan mark_m mark
EXT_TABLES+=filter nat broute
EXT_OBJS+=$(foreach T,$(EXT_FUNC), extensions/ebt_$(T).o)
EXT_OBJS+=$(foreach T,$(EXT_TABLES), extensions/ebtable_$(T).o)

extensions/ebt_%.o: extensions/ebt_%.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

extensions/ebtable_%.o: extensions/ebtable_%.c
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

=== misc-utils/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Mon Nov 11 10:12:16 1996 by faith@cs.unc.edu
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
# May be distirbuted under the GPL
#
include ../make_include
include ../MCONFIG

# replay not added yet

# Where to put man pages?

MAN1= 		cal.1 chkdupexe.1 ddate.1 logger.1 look.1 mcookie.1 \
		namei.1 rename.1 script.1 whereis.1

# Where to put binaries?
# See the "install" rule for the links. . .

BIN=

USRBIN=		cal chkdupexe ddate logger look mcookie \
		namei rename script whereis

MAYBE=		reset setterm

ifeq "$(HAVE_RESET)" "no"
USRBIN:=$(USRBIN) reset
MAN1:=$(MAN1) reset.1
endif

ifeq "$(HAVE_WRITE)" "no"
USRBIN:=$(USRBIN) write
MAN1:=$(MAN1) write.1
endif

ifeq "$(HAVE_KILL)" "no"
BIN:=$(BIN) kill
MAN1:=$(MAN1) kill.1
endif

ifeq "$(HAVE_NCURSES)" "yes"
USRBIN:=$(USRBIN) setterm
MAN1:=$(MAN1) setterm.1
endif

# For script only
LIBPTY=
ifeq "$(HAVE_OPENPTY)" "yes"
LIBPTY:=$(LIBPTY) -lutil
endif

# Programs requiring special compilation

NEEDS_CURSES=  setterm
NEEDS_OPENPTY= script

all: $(BIN) $(USRBIN) $(USRBIN.NONSHADOW)

$(NEEDS_CURSES):
ifeq "$(HAVE_NCURSES)" "yes"
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBCURSES)
else
	@echo $@ not made since it requires ncurses
endif

$(NEEDS_OPENPTY):
	$(CC) $(LDFLAGS) $^ -o $@ $(LIBPTY)

%: %.sh
	cp $@.sh $@
	chmod 755 $@

%: %.pl
	cp $@.pl $@
	chmod 755 $@

# Rules for everything else

cal.o: $(LIB)/errs.h
cal: cal.o $(ERR_O)
chkdupexe: chkdupexe.pl
ddate: ddate.o
kill: kill.o procs.o
logger: logger.o
mcookie: mcookie.o md5.o
mcookie.o: mcookie.c md5.h
md5.o: md5.c md5.h
reset: reset.sh
script: script.o
write.o: $(LIB)/carefulputc.h
write: write.o $(LIB)/carefulputc.o

ifeq "$(HAVE_NCURSES)" "yes"
setterm: setterm.o
endif

install: all
	$(INSTALLDIR) $(BINDIR) $(USRBINDIR)
	$(INSTALLBIN) $(BIN) $(BINDIR)
	$(INSTALLBIN) $(USRBIN) $(USRBINDIR)
	$(INSTALLDIR) $(MAN1DIR)
	$(INSTALLMAN) $(MAN1) $(MAN1DIR)
ifeq "$(HAVE_WRITE)" "no"
ifeq "$(USE_TTY_GROUP)" "yes"
	chgrp tty $(USRBINDIR)/write
	chmod g+s $(USRBINDIR)/write
endif
endif

.PHONY:	clean
clean:
	-rm -f *.o *~ core $(BIN) $(USRBIN) $(MAYBE)

=== src/modules/rlm_eap/types/rlm_eap_leap/Makefile ===
# Generated automatically from Makefile.in by configure.
TARGET      = rlm_eap_leap
SRCS        = rlm_eap_leap.c eap_leap.c
RLM_CFLAGS  = $(INCLTDL) -I../..
HEADERS     = des.h eap_leap.h
RLM_INSTALL = 

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

RLM_DIR=../../
include ${RLM_DIR}../rules.mak

=== debian/changelog ===
cloop (0.66-1) unstable; urgency=low

  * Replaced ll_rw_blk in Kernel 2.4 version to enable looping over NFS
  * Cleaned up kernel messages
  * failed r/w mount now returns EROFS instead of EPERM.

 -- root <root@Knoppix>  Sat, 17 Aug 2002 14:02:05 +0200

cloop (0.65-1) unstable; urgency=low

  * Handle blockdevices as cloop input files.

 -- root <root@Knoppix>  Wed, 24 Apr 2002 16:09:07 +0200

cloop (0.64-1) unstable; urgency=low

  * zlib 1.1.4

 -- Klaus Knopper <cloop@knopper.net>  Wed, 20 Mar 2002 23:18:34 +0100

cloop (0.63.1-4) unstable; urgency=low

  * Adopted version numbering and changes-generator from lm-sensors/pcmcia-cs,
    now ready to build official modules packages
  * Changed all Maintainer entries to my person

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Mar 2002 11:25:16 +0100

cloop (0.63.1-3) unstable; urgency=high

  * patched the embedded zlib source with 010_doublefree_crash from zlib source

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 16:56:21 +0100

cloop (0.63-2) unstable; urgency=low

  * "new" maintainer (adopted the package completely)
  * Added a kdist rule, needed by make-kpkg in some cases. Closes: #130320
  * A small hack to modify the version info with the target kernel

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Jan 2002 19:52:34 +0100

cloop (0.63-1.1) unstable; urgency=low

  * merged with the debconf dialog changes
  * make a check for existance of /dev/cloop in postinst

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Dec 2001 17:48:05 +0100

cloop (0.63-1) unstable; urgency=low

  * Bugfix release, fixed request_queue mess.

 -- Klaus Knopper <cloop@knopper.net>  Mon, 25 Dec 2001 04:08:58 +0200

cloop (0.62-2) unstable; urgency=low

  * Rewrite of the build system, reused for modules source package.
  * Dropped unused source parts from the zlib source.
  * copyright file: added reference to the GPL file, comment about usage
    of zlib stuff and its copyright notice
  * wrote manpage
  * moved executables to /usr/bin, not administrative/system programs

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Nov 2001 14:24:29 +0100

cloop (0.62-1) unstable; urgency=low

  * Added GPL License code for Kernel 2.4.9 and up

 -- Klaus Knopper <cloop@knopper.net>  Thu, 15 Nov 2001 04:08:58 +0200

cloop (0.61-1) unstable; urgency=low

  * Checking filp_open() for IS_ERR() to prevent oopses for nonexistent files
  * Cleanup of create_compressed_fs.c for newer version of gcc

 -- Klaus Knopper <cloop@knopper.net>  Tue, 31 Jul 2001 04:08:58 +0200

cloop (0.60-1) unstable; urgency=low

  * improved 2.4.x read handling vir do_generic_file_read()

 -- Klaus Knopper <cloop@knopper.net>  Fri,  8 Jun 2001 04:08:58 +0200

cloop (0.51-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <cloop@knopper.net>  Thu,  7 Jun 2001 04:08:58 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Klaus Knopper <cloop@knopper.net>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.2

Package: cloop-module
Depends: debconf
Suggests: kernel-image-module 
Architecture: any
Description: The compressed loopback block device kernel module
 Cloop is the driver module for transparent access to a
 ISO9660 filesystem contained in compressed volume.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL		=/bin/bash

package		= freeradius
debiandir	= $(shell pwd)/debian
freeradius_dir	= $(debiandir)/$(package)

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.13 arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

build-simple stamp-build:
	dh_testdir
	# dh_testroot
	./configure \
		$(confflags) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-thread-pool --with-system-libtool \
		--enable-ltdl-install=no --enable-strict-dependencies \
		--enable-developer
	
	# Modify Make.inc for Debian...
	TEMPFILE=`mktemp /tmp/radmake-XXXXXX`; \
	cp Make.inc $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's!${localstatedir}/run/radiusd!${localstatedir}/run/freeradius!' \
			> Make.inc; \
	rm $$TEMPFILE

	make
	touch stamp-build

build: autotools build-simple

binary-indep: stamp-build

binary-arch: stamp-build
	dh_testroot
	dh_clean
	dh_installdirs
	make install R=$(freeradius_dir)

	# rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)

	# clean up install cruft.  $$&@!%
	rm $(freeradius_dir)/usr/sbin/rc.radiusd
	test ! -d $(freeradius_dir)/etc/raddb || rmdir $(freeradius_dir)/etc/raddb
	test ! -d $(freeradius_dir)/var/log/radius/radacct || rmdir $(freeradius_dir)/var/log/radius/radacct
	test ! -d $(freeradius_dir)/var/log/radius || rmdir $(freeradius_dir)/var/log/radius
#	Yuck! the makefile in doc/ does this.
	rm -rf $(freeradius_dir)/usr/share/doc/freeradius-0.9.2

	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql; do \
		mkdir -p $(debiandir)/$(package)-$${modname}/$(libdir); \
		mv $(freeradius_dir)/$(libdir)/rlm*_$${modname}* $(debiandir)/$(package)-$${modname}/$(libdir)/; \
	done

	# man pages & docs
	install -g root -m 644 CREDITS $(freeradius_dir)/$(pkgdocdir)/credits
	dh_installdocs -XChangeLog -X00-OLD -XCVS -XMakefile doc/*
	dh_installexamples `find src/modules/rlm_sql/drivers -type f -name \*.sql`
	dh_installchangelogs doc/ChangeLog
	#Rename manpage to go with binary
	mv $(freeradius_dir)/$(mandir)/man8/radiusd.8 $(freeradius_dir)/$(mandir)/man8/$(package).8

	# SNMP mibs
	install -g root -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	# supporting programs
	install -g root -m 755 $(debiandir)/initscript $(freeradius_dir)/etc/init.d/$(package)
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(freeradius_dir)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
			-e '/^	example {/,/^	}/s/^/#/' \
			-e 's/#	shadow = /shadow = /' \
			-e 's/^#\?group = nobody/group = freerad/' \
			-e 's/^#\?user = nobody/user = freerad/' \
			-e 's!/run/radiusd!/run/freeradius!' \
			-e 's!radiusd.pid!freeradius.pid!' \
			> $(freeradius_dir)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_installlogrotate
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	dh_testdir
	rm -f stamp-build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(freeradius_dir) $(debiandir)/$(package)-{ldap,postgresql,mysql,krb5}{,.substvars}
	[ -f config.sub.dist ] && rm config.sub && mv config.sub.dist config.sub || true
	[ -f config.guess.dist ] && rm config.guess && mv config.guess.dist config.guess || true


binary: binary-indep binary-arch

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*)
# It's also a .PHONY make target.
autotools:
	if [ -e config.sub.dist ]; then rm config.sub; else mv config.sub config.sub.dist; fi
	if [ -e config.guess.dist ]; then rm config.guess; else mv config.guess config.guess.dist; fi
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/$(package).undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck autotools
